%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Abstraction of various SASL mechanism responses
Name: 		php-pear-Auth-SASL
Version: 	1.0.1
Release: 	2%{?dist}
License: 	BSD
Group: 		Development/Libraries
Source: 	http://pear.php.net/get/Auth_SASL-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-root
URL: 		http://pear.php.net/package/Auth_SASL
Prefix: 	%{_prefix}
Provides: 	php-pear(Auth_SASL) = %{version}
Requires: 	php-pear(PEAR)
BuildArchitectures: noarch

%description
Provides code to generate responses to common SASL mechanisms, including:
o Digest-MD5
o CramMD5
o Plain
o Anonymous
o Login (Pseudo mechanism)


%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build
echo BuildRoot=%{buildroot}

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps  --packagingroot %{buildroot} %{SOURCE0}

rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}/%{peardir}/.channels
rm %{buildroot}/%{peardir}/.depdb
rm %{buildroot}/%{peardir}/.depdblock

mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/Auth_SASL.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only  %{_libdir}/php/pear/Auth_SASL.xml >/dev/null

%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only  Auth_SASL >/dev/null
fi

%files
    %defattr(-,root,root)
    %{peardir}/Auth/SASL.php
    %{peardir}/Auth/SASL
    %{_libdir}/php/pear/Auth_SASL.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.0.1-2.fc{3,4,5}.remi
- change /var/lib/pear to %{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Mar 04 2006 Remi Collet <RPMS@FamilleCollet.com> 1.0.1-1.fc{3,4}.remi
- initial RPM of 1.0.1
